#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 coinbase-pro
version:              0.9.3.0
visibility:           public
id:                   coinbase-pro-0.9.3.0-L6xt08V4oRjJDz4tcYLqzT
key:                  coinbase-pro-0.9.3.0-L6xt08V4oRjJDz4tcYLqzT
license:              MIT
copyright:            2021 Michael Dunn <michaelsdunn1@gmail.com>
maintainer:           Michael Dunn <michaelsdunn1@gmail.com>
author:               Michael Dunn <michaelsdunn1@gmail.com>
homepage:             https://github.com/mdunnio/coinbase-pro#readme
synopsis:             Client for Coinbase Pro
description:          Client for Coinbase Pro REST and Websocket APIs
category:             Web, Finance
abi:                  c7b36bd84cee6798d83d1732b7231a6d
exposed:              True
exposed-modules:
    CoinbasePro.Authenticated CoinbasePro.Authenticated.API
    CoinbasePro.Authenticated.Accounts
    CoinbasePro.Authenticated.CoinbaseAccounts
    CoinbasePro.Authenticated.Conversion
    CoinbasePro.Authenticated.Deposit CoinbasePro.Authenticated.Fills
    CoinbasePro.Authenticated.Headers CoinbasePro.Authenticated.Limits
    CoinbasePro.Authenticated.Oracle CoinbasePro.Authenticated.Orders
    CoinbasePro.Authenticated.Payment CoinbasePro.Authenticated.Profile
    CoinbasePro.Authenticated.Report CoinbasePro.Authenticated.Request
    CoinbasePro.Authenticated.Transfer
    CoinbasePro.Authenticated.Withdrawal CoinbasePro.Environment
    CoinbasePro.Headers CoinbasePro.MarketData.AggregateOrderBook
    CoinbasePro.MarketData.FullOrderBook CoinbasePro.MarketData.Types
    CoinbasePro.Request CoinbasePro.Types CoinbasePro.Unauthenticated
    CoinbasePro.Unauthenticated.API CoinbasePro.WebSocketFeed
    CoinbasePro.WebSocketFeed.Channel
    CoinbasePro.WebSocketFeed.Channel.Full.Activate
    CoinbasePro.WebSocketFeed.Channel.Full.Change
    CoinbasePro.WebSocketFeed.Channel.Full.Done
    CoinbasePro.WebSocketFeed.Channel.Full.Match
    CoinbasePro.WebSocketFeed.Channel.Full.Open
    CoinbasePro.WebSocketFeed.Channel.Full.Received
    CoinbasePro.WebSocketFeed.Channel.Heartbeat
    CoinbasePro.WebSocketFeed.Channel.Level2
    CoinbasePro.WebSocketFeed.Channel.Status
    CoinbasePro.WebSocketFeed.Channel.Ticker
    CoinbasePro.WebSocketFeed.Request
    CoinbasePro.WebSocketFeed.Response

hidden-modules:       Paths_coinbase_pro
import-dirs:          /usr/lib/ghc-9.0.2/site-local/coinbase-pro-0.9.3.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/coinbase-pro-0.9.3.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-coinbase-pro
hs-libraries:         HScoinbase-pro-0.9.3.0-L6xt08V4oRjJDz4tcYLqzT
depends:
    HsOpenSSL-0.11.7.2-A7BtYxjN9hBESQcpEPTLIn
    aeson-2.1.1.0-K9BW85jPsWRAK2RMwS3bY2
    aeson-casing-0.2.0.0-FXqmr2yNYuKK68sGvyQ128
    async-2.2.4-DsKZe3TE8bS5FmfUvwss6n base-4.15.1.0 binary-0.8.8.0
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-EulWVZvKrH8KexMmvSPppe exceptions-0.10.4
    http-api-data-0.5-Ew7LAZj28cVGZeDJUbugPW
    http-client-0.7.13.1-GWw2Pu5vHoXE1gncKUdINu
    http-client-tls-0.3.6.1-JFxQe0gvip7Kn0yTscPAJ
    http-streams-0.8.9.6-5tubRO3ugAj7A7iCkAw6VZ
    http-types-0.12.3-KPLjBYBG4Ui6L5702lyKk2
    io-streams-1.5.2.2-KsEqlQA8eQX2cti6FwHREb
    memory-0.17.0-3DbDQrj54CLAPAnWUJBJ4b
    network-3.1.2.7-KHsxGS10v7SFpM3TUBfkXY
    servant-0.19.1-BcH8Hgqrs4hGCOElRU8n9B
    servant-client-0.19-FuYdrsnDUpA4zm2JjAW10f
    servant-client-core-0.19-9WifLMgpj3VFKYOyUmuEAY
    tasty-1.4.2.3-J0wiq4tmqbm1WmjDwmIG4T
    tasty-hunit-0.10.0.3-5xRC6vT2LmrGAwwKLxFm6m text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 unagi-streams-0.2.7-JutfueYPMPqD8VPbrhwc6w
    unordered-containers-0.2.19.1-GtFja3NZ1tw4exmhm99dqw
    uuid-1.3.15-A0QJZujKOLwBnDM60jWekV
    vector-0.13.0.0-GfIMzH8CfjSEVrHPrMfjgS
    websockets-0.12.7.3-CSfkihW6FvRB8s1h6Lz6GZ
    wuss-2.0.0.2-JSjnOToD5WxJyoZJgeEwnD

haddock-interfaces:
    /usr/share/doc/haskell-coinbase-pro/html/coinbase-pro.haddock

haddock-html:         /usr/share/doc/haskell-coinbase-pro/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

